summaryrefslogtreecommitdiffstats
path: root/support
diff options
context:
space:
mode:
authorThomas Petazzoni <thomas.petazzoni@free-electrons.com>2013-03-23 22:26:45 +0000
committerPeter Korsgaard <jacmet@sunsite.dk>2013-03-24 13:57:31 +0100
commit876e91dc447d874ac17ea1038e836655f24e6750 (patch)
tree08223e7a0124982d08901745f4bbbb185dd95508 /support
parent11f4c694e97f9610148b043f1c4119af047dba6a (diff)
downloadbuildroot-novena-876e91dc447d874ac17ea1038e836655f24e6750.tar.gz
buildroot-novena-876e91dc447d874ac17ea1038e836655f24e6750.zip
dependencies: check that a full perl installation is available
The host-autoconf build process requires a full Perl installation, or at least a Perl installation that has the Data::Dumper module installed. On a basic Debian system, only 'perl-base' is installed, but Data::Dumper is in the 'perl' package. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
Diffstat (limited to 'support')
-rwxr-xr-xsupport/dependencies/dependencies.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index c11d362b4..0b44c5afb 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -192,3 +192,11 @@ if grep -q ^BR2_HOSTARCH_NEEDS_IA32_LIBS=y $BUILDROOT_CONFIG ; then
exit 1
fi
fi
+
+# Check that the Perl installation is complete enough to build
+# host-autoconf.
+if ! perl -e "require Data::Dumper" > /dev/null 2>&1 ; then
+ /bin/echo -e "Your Perl installation is not complete enough, at least Data::Dumper is missing."
+ /bin/echo -e "On Debian/Ubuntu distributions, install the 'perl' package."
+ exit 1
+fi